declare type SubscriptionReleaser = () => void;
declare type SubscriptionCallback = () => void;
declare type Predicate = (record: any) => boolean;
declare type PredicateGenerator = (data: any) => Predicate;
export declare abstract class LiveSource {
    subscribeCollection(_callback: SubscriptionCallback, _collectionIdentifier: any, _predicate?: Predicate): SubscriptionReleaser | null;
    subscribeRecord(_callback: SubscriptionCallback, _collectionIdentifier: any, _recordIdentifier: any): SubscriptionReleaser | null;
}
export declare class LiveProvider {
    sources: Array<LiveSource>;
    namespace: string;
    constructor(namespace: string);
    registerSource(source: LiveSource): void;
    collectionIdentifierIsValid(_collectionIdentifier: any): boolean;
    recordIdentifierIsValid(_collectionIdentifier: any, _recordIdentifier: any): boolean;
}
export declare class LiveMonitor {
    released: boolean;
    providers: {
        [namespace: string]: LiveProvider;
    };
    subscriptionReleasersByCounter: {
        [counter: string]: (() => void)[];
    };
    liveConditionsByCounter: {
        [counter: string]: Array<PredicateGenerator>;
    };
    changeCallback: ((arg: any) => void) | null;
    changeCounter: number;
    extraRootValue: any;
    handleChange: {
        (): void;
        cancel: () => void;
    } | null;
    _reallyHandleChange: {
        (): void;
        cancel: () => void;
    } | null;
    onChange: (callback: () => void) => () => void;
    constructor(providers: {
        [namespace: string]: LiveProvider;
    }, extraRootValue: any);
    resetBefore(currentCounter: number): void;
    release(): void;
    liveCollection(counter: number, namespace: string, collectionIdentifier: any, predicate?: (record: any) => boolean): void;
    liveRecord(counter: number, namespace: string, collectionIdentifier: any, recordIdentifier: any): void;
}
export declare class LiveCoordinator {
    providers: {
        [namespace: string]: LiveProvider;
    };
    constructor();
    registerProvider(provider: LiveProvider): void;
    registerSource(namespace: string, source: LiveSource): void;
    getMonitor(extraRootValue: any): LiveMonitor;
    subscribe(_parent: any, _args: any, _context: any, _info: import("graphql").GraphQLResolveInfo): AsyncIterator<void>;
}
export declare function makeAsyncIteratorFromMonitor(monitor: LiveMonitor): AsyncIterator<any, any, undefined>;
export {};
//# sourceMappingURL=Live.d.ts.map